## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.14.0
%bcond check 1

# https://github.com/slackhq/nebula
%global goipath         github.com/slackhq/nebula
Version:                1.9.6

%gometa -L -f

%global common_description %{expand:
A scalable overlay networking tool with a focus on performance, simplicity and
security.}

Name:           nebula
Release:        %autorelease
Summary:        A scalable overlay networking tool with a focus on performance, simplicity and security

# Generated by go-vendor-tools
License:        Apache-2.0 AND BSD-2-Clause AND BSD-2-Clause-Views AND BSD-3-Clause AND GPL-2.0-only AND ISC AND MIT AND Zlib
URL:            %{gourl}
Source0:        %{gosource}
# Generated by go-vendor-tools
Source1:        %{archivename}-vendor.tar.bz2
Source2:        go-vendor-tools.toml
Source3:        nebula.service

BuildRequires:  go-vendor-tools
BuildRequires:  systemd-rpm-macros

%description %{common_description}

%prep
%goprep -A
%setup -q -T -D -a1 %{forgesetupargs}
%autopatch -p1

%generate_buildrequires
%go_vendor_license_buildrequires -c %{S:2}

%build
export LDFLAGS="-X main.Build=%{version}-Fedora $(LDFLAGS)"
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%go_vendor_license_install -c %{S:2}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
install -m 0755 -vd                     %{buildroot}%{_sysconfdir}/nebula
install -m 0640 -vp examples/config.yml %{buildroot}%{_sysconfdir}/nebula
install -m 0644 -vDp %{SOURCE3}         %{buildroot}%{_unitdir}/nebula.service

%check
%go_vendor_license_check -c %{S:2}
%if %{with check}
%ifarch s390x
%gocheck -d github.com/slackhq/nebula/service
%else
%gocheck
%endif
%endif

%post
%systemd_post nebula.service

%preun
%systemd_preun nebula.service

%postun
%systemd_postun_with_restart nebula.service

%files -f %{go_vendor_license_filelist}
%license vendor/modules.txt
%doc examples AUTHORS CHANGELOG.md LOGGING.md README.md SECURITY.md
%doc cert/README.md dist/windows/wintun/README.md docker/README.md
%dir %{_sysconfdir}/nebula
%config(noreplace) %{_sysconfdir}/nebula/config.yml
%{_bindir}/nebula
%{_bindir}/nebula-cert
%{_bindir}/nebula-service
%{_unitdir}/nebula.service

%changelog
## START: Generated by rpmautospec
* Mon Jul 21 2025 Fabio Alessandro Locati <mail@fale.io> - 1.9.6-1
- Update to 1.9.6

* Sat Jun 07 2025 Fabio Alessandro Locati <mail@fale.io> - 1.9.5-3
- Remove invalid key

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Dec 06 2024 Fabio Alessandro Locati <me@fale.io> - 1.9.5-1
- Update to 1.9.5

* Wed Sep 11 2024 Fabio Alessandro Locati <me@fale.io> - 1.9.4-2
- Fix vendored name

* Wed Sep 11 2024 Fabio Alessandro Locati <me@fale.io> - 1.9.4-1
- Update to Nebula 1.9.4

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jul 06 2024 Fabio Alessandro Locati <me@fale.io> - 1.9.3-1
- Update to 1.9.3, move to vendored package

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 1.7.2-7
- Rebuild for golang 1.22.0

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Aug 04 2023 Fabio Alessandro Locati <me@fale.io> - 1.7.2-4
- Make it safer

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jun 18 2023 Fabio Alessandro Locati <me@fale.io> - 1.7.2-2
- Drop x86

* Sun Jun 18 2023 Fabio Alessandro Locati <me@fale.io> - 1.7.2-1
- Update to 1.7.2

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Dec 26 2022 Fabio Alessandro Locati <me@fale.io> - 1.6.1-3
- Backport https://github.com/slackhq/nebula/commit/3ae242fa5f1858e5b229683
  ce021e8e6702cc8e7 - Add time-sync.target as wants

* Sat Dec 10 2022 Fabio Alessandro Locati <me@fale.io> - 1.6.1-2
- Ensure DNS is running before starting nebula

* Mon Oct 10 2022 Fabio Alessandro Locati <me@fale.io> - 1.6.1-1
- update to 1.6.1

* Wed Aug 10 2022 Maxwell G <gotmax@e.email> - 1.6.0-4
- Rebuild to fix FTBFS

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 1.6.0-2
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sun Jul 17 2022 Fabio Alessandro Locati <me@fale.io> - 1.6.0-1
- update to 1.6.0

* Thu Jun 23 2022 Maxwell G <gotmax@e.email> - 1.5.2-5
- Rebuild to mitigate CVE-2022-21698 (rhbz#2067400).

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.5.2-4
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Sat Jun 04 2022 Fabio Alessandro Locati <me@fale.io> - 1.5.2-3
- add conflict with old nebula

* Fri Jun 03 2022 Fabio Alessandro Locati <me@fale.io> - 1.5.2-2
- src forgot

* Fri Jun 03 2022 Fabio Alessandro Locati <me@fale.io> - 1.5.2-1
- first version, fixes rhbz#2091291

* Fri Jun 03 2022 Tomas Hrcka <thrcka@redhat.com> - 0.2.3-32
- Unretirement request: https://pagure.io/releng/issue/10822

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan 07 2021 Tom Stellard <tstellar@redhat.com> - 0.2.3-30
- Add BuildRequires: make

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Mar 29 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.3-28
- * Sat Mar 28 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.3-23 -
  Fix FTBFS (rhbz#1799677)

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Aug 31 2019 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.3-26
- * Sat Aug 31 2019 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.3-21 -
  Update spec file

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 09 2018 Igor Gnatenko <ignatenko@redhat.com> - 0.2.3-22
- add BuildRequires: gcc

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-20
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.2.3-16
- Append --stdc=gnu89 to CFLAGS (Work-around to c11/inline compatibility

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> - 0.2.3-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Oct 14 2014 Fabian Affolter <fabian@affolter-engineering.ch> - 0.2.3-14
- * Tue Oct 14 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.3-10 -
  Update spec file - Switch to bz2 archive

* Tue Oct 14 2014 Fabian Affolter <fabian@affolter-engineering.ch> - 0.2.3-13
- * Tue Oct 14 2014 Fabian Affolter <mail@fabian-affolter.ch> - 0.2.3-10 -
  Update spec file

* Sun Aug 17 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 0.2.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 0.2.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 24 2014 Christopher Meng <i@cicku.me> - 0.2.3-10
- SPEC cleanup.

* Sat Aug 03 2013 Dennis Gilmore <dennis@ausil.us> - 0.2.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Dennis Gilmore <dennis@ausil.us> - 0.2.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Dennis Gilmore <dennis@ausil.us> - 0.2.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Dennis Gilmore <dennis@ausil.us> - 0.2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 29 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-5
- dist-git conversion

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> - 0.2.3-4
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Sat Jul 25 2009 Jesse Keating <jkeating@fedoraproject.org> - 0.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Jesse Keating <jkeating@fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 0.2.3-1
- Updated to 0.2.3.

* Sat Nov 08 2008 Rakesh Pandit <rakesh@fedoraproject.org> - 0.2.2-1
- inital package import
## END: Generated by rpmautospec
